Uses Crt, Strings, UartRtDt;

{ COM2-485 on Tiny board control: RTS=1 - send, RTS=0 - receive }
Var
  s : string;
  i, cPort : word;
  PCmd, PRcv : PChar;

BEGIN
 GetMem( PCmd, 79 );
 GetMem( PRcv, 79 );

 s:= ParamStr(1);
 val( s, cPort, i );
 if ( (cPort<1)or(cPort>4) ) then cPort:= 2;

 SetMaskRtsDtr485( 2, 0 );
 InitCOM( cPort, 12, 8, 1, 0, 0 );

 for i:=1 to 10 do begin
  StrPCopy( PCmd, '$01T' ); SendReceiveASCIIZ( PCmd, PRcv );

  StrPCopy( PCmd, '$01M' ); SendReceiveASCIIZ( PCmd, PRcv );
  StrPCopy( PCmd, '$01T000Name ' );
  StrCat( PCmd, PRcv ); SendReceiveASCIIZ( PCmd, PRcv );

  StrPCopy( PCmd, '$01F' ); SendReceiveASCIIZ( PCmd, PRcv );
  StrPCopy( PCmd, '$01T100Version ' );
  StrCat( PCmd, PRcv ); SendReceiveASCIIZ( PCmd, PRcv );

  StrPCopy( PCmd, '$012' ); SendReceiveASCIIZ( PCmd, PRcv );
  StrPCopy( PCmd, '$01T200Cfg ' );
  StrCat( PCmd, PRcv ); SendReceiveASCIIZ( PCmd, PRcv );
 end;

 FreeMem(PCmd,79);
 FreeMem(PRcv,79);

 CloseCom(cPort);

END.